package com.bocloud.cmp.model.hmc;

public class HmdServerVirtualNetworkModel extends HmdGenericModel {
    private Integer vlanId; // vlanId
    private String name; // 名称
    private HmdServerVirtualSwitchModel virtualSwitch; // 使用的虚拟交换机
    private HmdServerModel server; // 所属服务器

    public Integer getVlanId() {
        return vlanId;
    }

    public void setVlanId(Integer vlanId) {
        this.vlanId = vlanId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public HmdServerVirtualSwitchModel newVirtualSwitch() {
        this.virtualSwitch = new HmdServerVirtualSwitchModel();
        return virtualSwitch;
    }

    public HmdServerVirtualSwitchModel getVirtualSwitch() {
        return virtualSwitch;
    }

    public void setVirtualSwitch(HmdServerVirtualSwitchModel virtualSwitch) {
        this.virtualSwitch = virtualSwitch;
    }

    public HmdServerModel getServer() {
        return server;
    }

    public void setServer(HmdServerModel server) {
        this.server = server;
    }
}
